# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "async-filedb"
version = "0.4.5"
authors = ["rise0chen <rise0chen@163.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A key-value database"
readme = "README.md"
keywords = ["kvdb"]
license-file = "LICENSE"
repository = "https://github.com/rise0chen/async-kvdb"

[features]
auto_sync = []

[lib]
name = "async_filedb"
path = "src/lib.rs"

[dependencies.async-channel]
version = "2"
features = ["std"]
default-features = false

[dependencies.async-kvdb]
version = "0"
default-features = false

[dependencies.async-memorydb]
version = "0"
default-features = false

[dependencies.form_urlencoded]
version = "1"
features = ["alloc"]
default-features = false

[dependencies.log]
version = "0.4"
default-features = false

[dependencies.oneshot]
version = "0.2"
features = ["async"]
default-features = false
